/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
function flProcesar(){
	var t=gv("Tor");
	var c=gv("Nre");
	if(jVal(t)==0){
		alert("Segun los filtros aplicados el total de registros a procesar es cero");
		return jF("TipEva");
	}
	if(jVal(c)==0){
		return AF("Ingrese el total de registros a asignar","Nre");
	}
	if(jVal(c)>jVal(t)){
		return AF("El total a asignar es mayor a total de registros obtenidos","Nre");
	}
	SM("F");
}
function fAsignar(){
	var per=gv("Per");
	var can=gv("TOT");
	
	if(jVal(can)<=0){
		return AF("El total de registros a asignar debe ser mayor a cero","Per");
	}
	if(jL(per)==0){
		return AF("Seleccione un asesor","Per");
	}
	//
	if(pre("Esta seguro que desea Asignar estos registros?")){
		sv("LISTA",GenLista());
		SM("R");
	} 
}
//
function ChBase(){
	frm = document.getElementById("Frm");	
	if(document.getElementById("Z_0").checked==true){		
		for(i=0; i<frm.elements.length; i++){			
			var t=frm.elements[i].type;
			if ( t=="checkbox" ){
				frm.elements[i].checked=true;
			}
		}
		sv("TOT",Contar());
	}else{
		for(i=0; i<frm.elements.length; i++){			
			var t=frm.elements[i].type;
			if ( t=="checkbox" ){
				frm.elements[i].checked=false;
			}
		}
		sv("TOT","0");
	}
}
//
function Cal(){
	sv("TOT",Contar());
}
function GenLista(){
	var cx=0;
	var s="";
	frm = document.getElementById("Frm");	
	for(i=0; i<frm.elements.length; i++){			
		var t=frm.elements[i].type;
		if ( t=="checkbox" ){
			var ch_id=frm.elements[i].id;
			if(ch_id!="Z_0"){
				var id=ch_id.split("_");
				if(document.getElementById(ch_id).checked==true){
					s=s+id[1]+",";
				}
			}
		}	
	}
	return s;
}
function Contar(){
	var cx=0;
	frm = document.getElementById("Frm");	
	for(i=0; i<frm.elements.length; i++){			
		var t=frm.elements[i].type;
		if ( t=="checkbox" ){
			var ch_id=frm.elements[i].id;
			if(ch_id!="Z_0"){
				if(document.getElementById(ch_id).checked==true){
					cx++;
				}
			}
		}	
	}
	return cx;
}
function Z(){
	var te=gv("TipEva");
	var pd=gv("PlnD");
	var ph=gv("PlnH");
	var cd=gv("CarD");
	var ch=gv("CarH");
	var sd=gv("ScoD");
	var sh=gv("ScoH");
	var dd=gv("DeuD");
	var dh=gv("DeuH");
	var xl=gv("Xls");
	//
	sv("Tor","Calculando...");
	//
	ajax=CreateAJAX();
	var StrU="neu_aj.php?C=TOR&P1="+te+"&P2="+pd+"&P3="+ph+"&P4="+cd+"&P5="+ch+"&P6="+sd+"&P7="+sh+"&P8="+dd+"&P9="+dh+"&P10="+xl;
	ajax.open("GET",StrU);	
	ajax.onreadystatechange=function() {
		   if (ajax.readyState==4) {
					var DATA=ajax.responseText;
					if(DATA.trim().length>0){			  
					  sv("Tor",DATA);
					}else{
						sv("Tor","***");
					}
		   }
	}
	ajax.send(null);
	
	//
}